import { axios } from './axios-config'

const getRequest = function(path, callback, errorHandler, configuration) {
  axios.get(path, configuration)
    .then((response) => {
      callback(response)
    })
    .catch(error => {
      if (typeof errorHandler === 'function') {
        errorHandler(error)
      }
    })
}

const postRequest = function(path, requestData, callback, errorHandler, configuration) {
  axios.post(path, requestData, configuration)
    .then((response) => {
      callback(response)
    })
    .catch(error => {
      if (typeof errorHandler === 'function') {
        errorHandler(error)
      }
    })
}

const putRequest = function(path, requestData, callback, errorHandler, configuration) {
  axios.put(path, requestData, configuration)
    .then((response) => {
      callback(response)
    })
    .catch(error => {
      if (typeof errorHandler === 'function') {
        errorHandler(error)
      }
    })
}

const deleteRequest = function(path, callback, errorHandler, configuration) {
  axios.delete(path, configuration)
    .then((response) => {
      callback(response)
    })
    .catch(error => {
      if (typeof errorHandler === 'function') {
        errorHandler(error)
      }
    })
}

export default {
  getRequest,
  postRequest,
  putRequest,
  deleteRequest
}
